Bug 120954 - Following some links cause evolution to hang
Following some links cause evolution to hang
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Matthew Barnes
Depends On:
  Show dependency treegraph
Reported: 2004-04-15 12:48 EDT by Tim Waugh
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-29 16:49:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2004-04-15 12:48:02 EDT
Description of problem:
I have found an email message (in HTML) which, when you click on the
link, causes evolution to hang.

A strace reveals that it connects to the site on port 80, sends a
PROPFIND query, and waits for a response.  There is no response, and
the GUI does not handle events any more -- evolution has to be killed.

Version-Release number of selected component (if applicable):

How reproducible:
100%, for me
Comment 1 Sean Earp 2004-04-16 01:30:27 EDT
Any particular links, so that us testers can attempt to duplicate the

-Sean :)
Comment 2 Tim Waugh 2004-04-21 11:41:53 EDT
I wasn't able to isolate it to a particular URL, no.  But if you run a
data sink (which just accepts data) on port 80 perhaps you can just
point a URL at that in a message and duplicate the problem.
Comment 3 Dave Malcolm 2004-11-30 00:43:26 EST
Are you able to reproduce this with Evolution 2.0.2 (as in Fedora Core 3)
Comment 4 Tim Waugh 2004-11-30 03:39:46 EST
No; I only ever saw it the once.
Comment 6 John Thacker 2006-10-29 16:49:39 EST
Going to go ahead and close this since it was never reproduced (and originally
filed against FC2 and not seen in FC3 and later).  Hope no one minds.

Note You need to log in before you can comment on or make changes to this bug.